Skip to main content
POST
Create Beam Config Handler
Creates a new pipeline configuration. The response includes the server-generated fields id, owner_org_team_user_id, created_at, and updated_at. You become the owner of the pipeline, and your team is granted viewer_team read access.
Required permission: any authenticated user. The creator becomes the owner.
Request body: CreateBeamConfigRequest
Response: BeamConfig See the configuration reference for all source, transform, and sink types.

Authorizations

X-API-KEY
string
header
required

Body

application/json
name
string
required
description
string
required
pipeline_config
BeamPipelineConfig · object
required
tags
string[] | null
static_egress_ip
boolean
default:false
pod_size
enum<string>
default:XS
Available options:
XXS,
XS,
S,
M,
L,
XL
delivery_guarantee
enum<string>
default:at_least_once
Available options:
at_least_once,
best_effort

Response

Successful Response

id
string
required
name
string
required
description
string
required
owner_org_team_user_id
string
required
pipeline_config
BeamPipelineConfig · object
required
organization_id
string | null
created_at
string<date-time>
updated_at
string<date-time>
tags
string[] | null
static_egress_ip
boolean
default:false
pod_size
enum<string>
default:XS
Available options:
XXS,
XS,
S,
M,
L,
XL
delivery_guarantee
enum<string>
default:at_least_once
Available options:
at_least_once,
best_effort